package com.ym.mec.biz.dal.dao;

import com.ym.mec.auth.api.entity.SysUser;
import com.ym.mec.biz.dal.entity.Student;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

public interface StudentDao extends com.ym.mec.common.dal.BaseDAO<Integer, Student> {

    int lockUser(@Param("userId") Integer userId);


    List<SysUser> findStudents(Map<String, Object> params);
    int countStudents(Map<String, Object> params);
}
